Below is the list of changes that have just been committed into a local
4.1 repository of kent. When kent does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet
1.2484 06/03/29 23:51:23 kent@stripped +2 -0
mysqld_safe.sh:
Added --help option, bug#16392
acinclude.m4:
Use "$shrext_cmds" when testing if shared library exists, bug#16332
scripts/mysqld_safe.sh
1.77 06/03/29 23:49:48 kent@stripped +28 -0
Added --help option, bug#16392
acinclude.m4
1.138 06/03/29 23:40:19 kent@stripped +6 -3
Use "$shrext_cmds" when testing if shared library exists, bug#16332
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: kent
# Host: c-4d4072d5.010-2112-6f72651.cust.bredbandsbolaget.se
# Root: /Users/kent/mysql/bk/mysql-4.1-new
--- 1.137/acinclude.m4 2005-10-31 18:35:19 +01:00
+++ 1.138/acinclude.m4 2006-03-29 23:40:19 +02:00
@@ -310,8 +310,9 @@
fi
;;
*)
+ # Just to be safe, we test for ".so" anyway
if test \( -f "$mysql_zlib_dir/lib/libz.a" -o -f "$mysql_zlib_dir/lib/libz.so" -o \
- -f "$mysql_zlib_dir/lib/libz.sl" -o -f "$mysql_zlib_dir/lib/libz.dylib" \) \
+ -f "$mysql_zlib_dir/lib/libz$shrext_cmds" \) \
-a -f "$mysql_zlib_dir/include/zlib.h"; then
ZLIB_INCLUDES="-I$mysql_zlib_dir/include"
ZLIB_LIBS="-L$mysql_zlib_dir/lib -lz"
@@ -976,7 +977,8 @@
for d in /usr/ssl/lib /usr/local/ssl/lib /usr/lib/openssl \
/usr/lib /usr/lib64 /opt/ssl/lib /opt/openssl/lib \
/usr/freeware/lib32 /usr/local/lib/ ; do
- if test -f $d/libssl.a || test -f $d/libssl.so || test -f $d/libssl.dylib ; then
+ # Just to be safe, we test for ".so" anyway
+ if test -f $d/libssl.a || test -f $d/libssl.so || test -f $d/libssl$shrext_cmds ; then
OPENSSL_LIB=$d
fi
done
@@ -988,7 +990,8 @@
if test -f $incs/openssl/ssl.h ; then
OPENSSL_INCLUDE=-I$incs
fi
- if test -f $libs/libssl.a || test -f $libs/libssl.so || test -f $libs/libssl.dylib ; then
+ # Just to be safe, we test for ".so" anyway
+ if test -f $libs/libssl.a || test -f $libs/libssl.so || test -f $libs/libssl$shrext_cmds ; then
OPENSSL_LIB=$libs
fi
;;
--- 1.76/scripts/mysqld_safe.sh 2005-10-31 20:15:40 +01:00
+++ 1.77/scripts/mysqld_safe.sh 2006-03-29 23:49:48 +02:00
@@ -24,6 +24,31 @@
;;
esac
+usage () {
+ cat <<EOF
+Usage: $0 [OPTIONS]
+ --no-defaults Don't read the system defaults file
+ --defaults-file=FILE Use the specified defaults file
+ --defaults-extra-file=FILE Also use defaults from the specified file
+ --ledir=DIRECTORY Look for mysqld in the specified directory
+ --err-log=FILE Obsolete, use '--log-error'
+ --log-error=FILE Log errors to the specified log file
+ --open-files=LIMIT Obsolete, use '--open-files-limit'
+ --open-files-limit=LIMIT Limit the number of open files
+ --core-file-size=LIMIT Limit core files to the specified size
+ --timezone=TZ Set the system timezone
+ --mysqld=FILE Use the specified file as mysqld
+ --mysqld-version=VERSION Use "mysqld-VERSION" as mysqld
+ --nice=NICE Set the scheduling priority of mysqld
+ --skip-kill-mysqld Don't try to kill stray mysqld processes
+
+All other options are passed to the mysqld program.
+
+EOF
+ exit 1
+}
+
+
parse_arguments() {
# We only need to pass arguments through to the server if we don't
# handle them here. So, we collect unrecognized options (passed on
@@ -72,6 +97,9 @@
fi
;;
--nice=*) niceness=`echo "$arg" | sed -e "s;--nice=;;"` ;;
+ --help)
+ usage
+ ;;
*)
if test -n "$pick_args"
then
| Thread |
|---|
| • bk commit into 4.1 tree (kent:1.2484) BUG#16332 | kent | 29 Mar |